<?php
namespace Claromentis\Pages\Repository;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_e2670a71b0605345f16f2b7" . "a8edd4a21" => base64_decode("dWNma" . "XJzdA" . "=="));
use Claromentis\Design\Repository\LayoutsProvider;




class PagesLayoutsProvider implements LayoutsProvider
{
    protected $url_repo;
    public function __construct(UrlRepository $_4fd544a0039d23957d8ced73ba74acb9)
    {
        $this->url_repo = $_4fd544a0039d23957d8ced73ba74acb9;
    }
    public function GetLayouts()
    {
        $_0191f862340fdcf0f23ce8ca06584239 = $this->url_repo->GetAll();
        $_38a30dd4962e9a76fac9081e98e2db9d = [];
        foreach ($_0191f862340fdcf0f23ce8ca06584239 as $url) {
            $_38a30dd4962e9a76fac9081e98e2db9d[$url->id] = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e2670a71b0605345f16f2" . "b7a8edd4a21"]($url->full_url);
        }
        return $_38a30dd4962e9a76fac9081e98e2db9d;
    }
}